<template>
    <div :class="['bit-header', !showBack ? 'friends-page' : '']">
        <div class="left-container">
            <img v-if="showBack" class="back" @click="goBack()" :src="require('@/assets/images/back_icon.svg')"
                alt="Back icon image">
            <h1>{{ title }}</h1>
        </div>
        <hr />
        <div class="content">
            <h4 v-if="desc">{{ desc }}</h4>
            <img v-else class="small-g" :src="require('@/assets/images/Small-G.svg')" alt="Small G image">
            <slot></slot>
        </div>
    </div>
</template>

<script>

import { defineComponent } from "vue";
import router from '../router';

export default defineComponent({
    name: 'FriendsHeader',
    setup() {
        const goBack = () => {
            router.back();
        }
        return {
            goBack,
        }
    },
    props: {
        title: {
            type: String
        },
        desc: {
            type: String
        },
        showBack: {
            type: Boolean
        }

    }
})

</script>

<style scoped lang="scss">
@import "@/assets/scss/variables";

.bit-header {
    margin: 0 2em;
    display: flex;
    padding-bottom: 0.5em;
    flex-direction: column;

    .left-container {
        display: flex;

        .back {
            height: 3em;
            margin-right: 0.5em;
        }

        h1 {
            margin-bottom: 0;
            font-weight: 800;
        }
    }


    .content {
        text-align: left;
        margin-bottom: 1em;

        h4 {
            color: $light-grey;
            margin: 0 auto 1em;
        }

        .small-g {
            margin-left: auto;
            margin-bottom: 0.5em;
        }
    }

    hr {
        opacity: 1;
        color: black;
    }

}

@media screen and (min-width: 992px) {
    .bit-header {
        border-bottom: 1px solid black;
        flex-direction: row;

        .content {
            display: flex;
            flex: 1;
            margin-bottom: 0;

            h4 {
                margin-top: 0.4em;
                margin-bottom: 0;
            }
        }
    }
}

@media screen and (min-width: 1700px) {
    .bit-header {
        margin: 0 9em;
    }
}

.bit-header.friends-page {
    border-bottom: 1px solid black;
    flex-direction: row;

    .content {
        display: flex;
        flex: 1;
        margin-bottom: 0;

        h4 {
            margin-top: 0.4em;
            margin-bottom: 0;
        }
    }
}
</style>

